Console Output

Started by upstream project "CE_gpfit_Push_pylint" build number 28
originally caused by:
 [URLTrigger] A change within the response URL invocation (log)
Running as SYSTEM
[EnvInject] - Loading node environment variables.
Building remotely on macys in workspace /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys
The recommended git tool is: NONE
using credential 3614a4cf-01de-4393-97de-73734b7dd5a2
Wiping out workspace first.
Cloning the remote Git repository
 > JGit fetch # timeout=10
remote: Enumerating objects
remote: Counting objects
remote: Compressing objects
Receiving objects
Resolving deltas
Avoid second fetch
Checking out Revision 3c8025f12ba5360fdeb71c270e55d4c93e1676fd (origin/master)
Commit message: "Add PyPI badge"
The recommended git tool is: NONE
using credential 3614a4cf-01de-4393-97de-73734b7dd5a2
The recommended git tool is: NONE
using credential 3614a4cf-01de-4393-97de-73734b7dd5a2
[GitCheckoutListener] Recording commits of 'git https://github.com/convexengineering/gpfit'
[GitCheckoutListener] Found previous build 'CE_gpfit_Push_pylint/buildnode=macys #27' that contains recorded Git commits
[GitCheckoutListener] -> Starting recording of new commits since '3c8025f'
[GitCheckoutListener] -> Single parent commit found - branch is already descendant of target branch head
[GitCheckoutListener] -> Using head commit '3c8025f' as starting point
[GitCheckoutListener] -> No new commits found
[GitCheckoutListener] -> Git commit decorator successfully obtained 'hudson.plugins.git.browser.GithubWeb@76ce7b25' to render commit links
Run condition [Execution node ] enabling prebuild for step [Execute shell]
[Execution node] check if [macys] is in [[macys, macys_VM, reynolds, reynolds-ubuntu16]]
Run condition [Execution node ] enabling perform for step [Execute shell]
[macys] $ /bin/bash -xe /var/folders/xs/_fh4l1p54zqcl6mbk4zclcfr0000gp/T/jenkins3264733606088870917.sh
+ git clone ssh://acdl.mit.edu/home/svnroot/JenkinsGPkit
Cloning into 'JenkinsGPkit'...
+ source /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/JenkinsGPkit/gpfit_pylint.sh
++ source /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/JenkinsGPkit/all_machines.sh
+++ export PYTHONHASHSEED=0
+++ PYTHONHASHSEED=0
+++ echo 'Python hash seed set to: 0'
Python hash seed set to: 0
+++ [[ macys == *macys* ]]
+++ export PATH=/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/
+++ PATH=/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/
+++ virtualenv --python=python3 /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins
/usr/local/lib/python3.9/site-packages/setuptools/command/install.py:34: SetuptoolsDeprecationWarning: setup.py install is deprecated. Use build and pip and other standards-based tools.
  warnings.warn(
created virtual environment CPython3.9.14.final.0-64 in 206ms
  creator CPython3Posix(dest=/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins, clear=False, no_vcs_ignore=False, global=False)
  seeder FromAppData(download=False, pip=bundle, setuptools=bundle, wheel=bundle, via=copy, app_data_dir=/Users/jenkins/Library/Application Support/virtualenv)
    added seed packages: pip==20.2.4, setuptools==50.3.2, wheel==0.35.1
  activators BashActivator,CShellActivator,FishActivator,PowerShellActivator,PythonActivator,XonshActivator
+++ source /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/activate
++++ '[' /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/activate = /var/folders/xs/_fh4l1p54zqcl6mbk4zclcfr0000gp/T/jenkins3264733606088870917.sh ']'
++++ deactivate nondestructive
++++ unset -f pydoc
++++ '[' -z '' ']'
++++ '[' -z '' ']'
++++ '[' -n /bin/bash ']'
++++ hash -r
++++ '[' -z '' ']'
++++ unset VIRTUAL_ENV
++++ '[' '!' nondestructive = nondestructive ']'
++++ VIRTUAL_ENV=/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins
++++ '[' darwin21 = cygwin ']'
++++ '[' darwin21 = msys ']'
++++ export VIRTUAL_ENV
++++ _OLD_VIRTUAL_PATH=/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/
++++ PATH=/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/
++++ export PATH
++++ '[' -z '' ']'
++++ '[' -z '' ']'
++++ _OLD_VIRTUAL_PS1=
++++ '[' x '!=' x ']'
+++++ basename /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins
++++ PS1='(venv_jenkins) '
++++ export PS1
++++ alias pydoc
++++ true
++++ '[' -n /bin/bash ']'
++++ hash -r
+++ ls /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys
JenkinsGPkit
LICENSE
MANIFEST.in
README.md
docs
gpfit
pylint.sh
setup.py
venv_jenkins
++++ which pip
+++ export PIP=/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pip
+++ PIP=/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pip
+++ pip_install pip
+++ python /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pip install --upgrade pip
Collecting pip
  Using cached pip-22.3-py3-none-any.whl (2.1 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 20.2.4
    Uninstalling pip-20.2.4:
      Successfully uninstalled pip-20.2.4
Successfully installed pip-22.3

real	0m2.294s
user	0m1.803s
sys	0m0.446s
++ export optimizer=cvxopt
++ optimizer=cvxopt
++ source /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/JenkinsGPkit/cvxopt_installs.sh
+++ [[ cvxopt == cvxopt ]]
+++ pip_install cvxopt
+++ python /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pip install --upgrade cvxopt
Collecting cvxopt
  Using cached cvxopt-1.3.0-cp39-cp39-macosx_10_9_x86_64.whl (3.1 MB)
Installing collected packages: cvxopt
Successfully installed cvxopt-1.3.0

real	0m0.667s
user	0m0.495s
sys	0m0.086s
+++ python -c 'import cvxopt'
+++ export GPKITSOLVERS=cvxopt
+++ GPKITSOLVERS=cvxopt
+++ COVERAGE_OMIT='gpkit/solvers/mosek*'
++ source /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/JenkinsGPkit/pip_installs_base.sh
+++ pip_install adce
+++ python /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pip install --upgrade adce
Collecting adce
  Using cached adce-1.3.3.2-py3-none-any.whl
Installing collected packages: adce
Successfully installed adce-1.3.3.2

real	0m0.910s
user	0m0.423s
sys	0m0.064s
+++ pip_install unittest-xml-reporting
+++ python /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pip install --upgrade unittest-xml-reporting
Collecting unittest-xml-reporting
  Using cached unittest_xml_reporting-3.2.0-py2.py3-none-any.whl (20 kB)
Collecting lxml
  Using cached lxml-4.9.1-cp39-cp39-macosx_10_15_x86_64.whl (4.6 MB)
Installing collected packages: lxml, unittest-xml-reporting
Successfully installed lxml-4.9.1 unittest-xml-reporting-3.2.0

real	0m1.015s
user	0m0.832s
sys	0m0.120s
+++ pip_install pandas
+++ python /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pip install --upgrade pandas
Collecting pandas
  Using cached pandas-1.5.1-cp39-cp39-macosx_10_9_x86_64.whl (12.1 MB)
Collecting pytz>=2020.1
  Using cached pytz-2022.5-py2.py3-none-any.whl (500 kB)
Collecting python-dateutil>=2.8.1
  Using cached python_dateutil-2.8.2-py2.py3-none-any.whl (247 kB)
Collecting numpy>=1.20.3
  Using cached numpy-1.23.4-cp39-cp39-macosx_10_9_x86_64.whl (18.1 MB)
Collecting six>=1.5
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Installing collected packages: pytz, six, numpy, python-dateutil, pandas
Successfully installed numpy-1.23.4 pandas-1.5.1 python-dateutil-2.8.2 pytz-2022.5 six-1.16.0

real	0m7.483s
user	0m6.080s
sys	0m1.288s
+++ pip_install matplotlib
+++ python /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pip install --upgrade matplotlib
Collecting matplotlib
  Using cached matplotlib-3.6.1-cp39-cp39-macosx_10_12_x86_64.whl (7.3 MB)
Requirement already satisfied: python-dateutil>=2.7 in ./venv_jenkins/lib/python3.9/site-packages (from matplotlib) (2.8.2)
Collecting packaging>=20.0
  Using cached packaging-21.3-py3-none-any.whl (40 kB)
Collecting fonttools>=4.22.0
  Using cached fonttools-4.38.0-py3-none-any.whl (965 kB)
Collecting pillow>=6.2.0
  Using cached Pillow-9.2.0-cp39-cp39-macosx_10_10_x86_64.whl (3.1 MB)
Collecting pyparsing>=2.2.1
  Using cached pyparsing-3.0.9-py3-none-any.whl (98 kB)
Collecting cycler>=0.10
  Using cached cycler-0.11.0-py3-none-any.whl (6.4 kB)
Collecting kiwisolver>=1.0.1
  Using cached kiwisolver-1.4.4-cp39-cp39-macosx_10_9_x86_64.whl (65 kB)
Requirement already satisfied: numpy>=1.19 in ./venv_jenkins/lib/python3.9/site-packages (from matplotlib) (1.23.4)
Collecting contourpy>=1.0.1
  Using cached contourpy-1.0.5-cp39-cp39-macosx_10_9_x86_64.whl (241 kB)
Requirement already satisfied: six>=1.5 in ./venv_jenkins/lib/python3.9/site-packages (from python-dateutil>=2.7->matplotlib) (1.16.0)
Installing collected packages: pyparsing, pillow, kiwisolver, fonttools, cycler, contourpy, packaging, matplotlib
Successfully installed contourpy-1.0.5 cycler-0.11.0 fonttools-4.38.0 kiwisolver-1.4.4 matplotlib-3.6.1 packaging-21.3 pillow-9.2.0 pyparsing-3.0.9

real	0m4.192s
user	0m3.507s
sys	0m0.556s
+++ pip_install coverage
+++ python /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pip install --upgrade coverage
Collecting coverage
  Using cached coverage-6.5.0-cp39-cp39-macosx_10_9_x86_64.whl (185 kB)
Installing collected packages: coverage
Successfully installed coverage-6.5.0

real	0m1.062s
user	0m0.956s
sys	0m0.076s
+++ pip_install ipywidgets
+++ python /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pip install --upgrade ipywidgets
Collecting ipywidgets
  Using cached ipywidgets-8.0.2-py3-none-any.whl (134 kB)
Collecting traitlets>=4.3.1
  Using cached traitlets-5.5.0-py3-none-any.whl (107 kB)
Collecting widgetsnbextension~=4.0
  Using cached widgetsnbextension-4.0.3-py3-none-any.whl (2.0 MB)
Collecting ipykernel>=4.5.1
  Using cached ipykernel-6.16.1-py3-none-any.whl (138 kB)
Collecting ipython>=6.1.0
  Using cached ipython-8.5.0-py3-none-any.whl (752 kB)
Collecting jupyterlab-widgets~=3.0
  Using cached jupyterlab_widgets-3.0.3-py3-none-any.whl (384 kB)
Collecting jupyter-client>=6.1.12
  Using cached jupyter_client-7.4.3-py3-none-any.whl (132 kB)
Collecting psutil
  Using cached psutil-5.9.3-cp39-cp39-macosx_10_9_x86_64.whl (242 kB)
Collecting matplotlib-inline>=0.1
  Using cached matplotlib_inline-0.1.6-py3-none-any.whl (9.4 kB)
Collecting appnope
  Using cached appnope-0.1.3-py2.py3-none-any.whl (4.4 kB)
Collecting debugpy>=1.0
  Using cached debugpy-1.6.3-cp39-cp39-macosx_10_15_x86_64.whl (1.7 MB)
Collecting pyzmq>=17
  Using cached pyzmq-24.0.1-cp39-cp39-macosx_10_15_universal2.whl (1.8 MB)
Collecting nest-asyncio
  Using cached nest_asyncio-1.5.6-py3-none-any.whl (5.2 kB)
Requirement already satisfied: packaging in ./venv_jenkins/lib/python3.9/site-packages (from ipykernel>=4.5.1->ipywidgets) (21.3)
Collecting tornado>=6.1
  Using cached tornado-6.2-cp37-abi3-macosx_10_9_x86_64.whl (419 kB)
Collecting pickleshare
  Using cached pickleshare-0.7.5-py2.py3-none-any.whl (6.9 kB)
Collecting backcall
  Using cached backcall-0.2.0-py2.py3-none-any.whl (11 kB)
Collecting jedi>=0.16
  Using cached jedi-0.18.1-py2.py3-none-any.whl (1.6 MB)
Collecting prompt-toolkit<3.1.0,>3.0.1
  Using cached prompt_toolkit-3.0.31-py3-none-any.whl (382 kB)
Collecting decorator
  Using cached decorator-5.1.1-py3-none-any.whl (9.1 kB)
Collecting pygments>=2.4.0
  Using cached Pygments-2.13.0-py3-none-any.whl (1.1 MB)
Collecting stack-data
  Using cached stack_data-0.5.1-py3-none-any.whl (24 kB)
Collecting pexpect>4.3
  Using cached pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting parso<0.9.0,>=0.8.0
  Using cached parso-0.8.3-py2.py3-none-any.whl (100 kB)
Collecting jupyter-core>=4.9.2
  Using cached jupyter_core-4.11.2-py3-none-any.whl (88 kB)
Requirement already satisfied: python-dateutil>=2.8.2 in ./venv_jenkins/lib/python3.9/site-packages (from jupyter-client>=6.1.12->ipykernel>=4.5.1->ipywidgets) (2.8.2)
Collecting entrypoints
  Using cached entrypoints-0.4-py3-none-any.whl (5.3 kB)
Collecting ptyprocess>=0.5
  Using cached ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting wcwidth
  Using cached wcwidth-0.2.5-py2.py3-none-any.whl (30 kB)
Requirement already satisfied: pyparsing!=3.0.5,>=2.0.2 in ./venv_jenkins/lib/python3.9/site-packages (from packaging->ipykernel>=4.5.1->ipywidgets) (3.0.9)
Collecting pure-eval
  Using cached pure_eval-0.2.2-py3-none-any.whl (11 kB)
Collecting executing
  Using cached executing-1.1.1-py2.py3-none-any.whl (22 kB)
Collecting asttokens
  Using cached asttokens-2.0.8-py2.py3-none-any.whl (23 kB)
Requirement already satisfied: six>=1.5 in ./venv_jenkins/lib/python3.9/site-packages (from python-dateutil>=2.8.2->jupyter-client>=6.1.12->ipykernel>=4.5.1->ipywidgets) (1.16.0)
Installing collected packages: wcwidth, pure-eval, ptyprocess, pickleshare, executing, backcall, appnope, widgetsnbextension, traitlets, tornado, pyzmq, pygments, psutil, prompt-toolkit, pexpect, parso, nest-asyncio, jupyterlab-widgets, entrypoints, decorator, debugpy, asttokens, stack-data, matplotlib-inline, jupyter-core, jedi, jupyter-client, ipython, ipykernel, ipywidgets
Successfully installed appnope-0.1.3 asttokens-2.0.8 backcall-0.2.0 debugpy-1.6.3 decorator-5.1.1 entrypoints-0.4 executing-1.1.1 ipykernel-6.16.1 ipython-8.5.0 ipywidgets-8.0.2 jedi-0.18.1 jupyter-client-7.4.3 jupyter-core-4.11.2 jupyterlab-widgets-3.0.3 matplotlib-inline-0.1.6 nest-asyncio-1.5.6 parso-0.8.3 pexpect-4.8.0 pickleshare-0.7.5 prompt-toolkit-3.0.31 psutil-5.9.3 ptyprocess-0.7.0 pure-eval-0.2.2 pygments-2.13.0 pyzmq-24.0.1 stack-data-0.5.1 tornado-6.2 traitlets-5.5.0 wcwidth-0.2.5 widgetsnbextension-4.0.3

real	0m6.920s
user	0m5.098s
sys	0m1.169s
+++ pip_install ipysankeywidget
+++ python /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pip install --upgrade ipysankeywidget
Collecting ipysankeywidget
  Using cached ipysankeywidget-0.4.2-py2.py3-none-any.whl (1.2 MB)
Requirement already satisfied: ipywidgets>=7.0.0 in ./venv_jenkins/lib/python3.9/site-packages (from ipysankeywidget) (8.0.2)
Requirement already satisfied: jupyterlab-widgets~=3.0 in ./venv_jenkins/lib/python3.9/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (3.0.3)
Requirement already satisfied: widgetsnbextension~=4.0 in ./venv_jenkins/lib/python3.9/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (4.0.3)
Requirement already satisfied: ipython>=6.1.0 in ./venv_jenkins/lib/python3.9/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (8.5.0)
Requirement already satisfied: ipykernel>=4.5.1 in ./venv_jenkins/lib/python3.9/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (6.16.1)
Requirement already satisfied: traitlets>=4.3.1 in ./venv_jenkins/lib/python3.9/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (5.5.0)
Requirement already satisfied: tornado>=6.1 in ./venv_jenkins/lib/python3.9/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (6.2)
Requirement already satisfied: matplotlib-inline>=0.1 in ./venv_jenkins/lib/python3.9/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (0.1.6)
Requirement already satisfied: pyzmq>=17 in ./venv_jenkins/lib/python3.9/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (24.0.1)
Requirement already satisfied: packaging in ./venv_jenkins/lib/python3.9/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (21.3)
Requirement already satisfied: nest-asyncio in ./venv_jenkins/lib/python3.9/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (1.5.6)
Requirement already satisfied: appnope in ./venv_jenkins/lib/python3.9/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (0.1.3)
Requirement already satisfied: psutil in ./venv_jenkins/lib/python3.9/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (5.9.3)
Requirement already satisfied: jupyter-client>=6.1.12 in ./venv_jenkins/lib/python3.9/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (7.4.3)
Requirement already satisfied: debugpy>=1.0 in ./venv_jenkins/lib/python3.9/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (1.6.3)
Requirement already satisfied: pygments>=2.4.0 in ./venv_jenkins/lib/python3.9/site-packages (from ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (2.13.0)
Requirement already satisfied: pexpect>4.3 in ./venv_jenkins/lib/python3.9/site-packages (from ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (4.8.0)
Requirement already satisfied: decorator in ./venv_jenkins/lib/python3.9/site-packages (from ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (5.1.1)
Requirement already satisfied: stack-data in ./venv_jenkins/lib/python3.9/site-packages (from ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (0.5.1)
Requirement already satisfied: backcall in ./venv_jenkins/lib/python3.9/site-packages (from ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (0.2.0)
Requirement already satisfied: pickleshare in ./venv_jenkins/lib/python3.9/site-packages (from ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (0.7.5)
Requirement already satisfied: jedi>=0.16 in ./venv_jenkins/lib/python3.9/site-packages (from ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (0.18.1)
Requirement already satisfied: prompt-toolkit<3.1.0,>3.0.1 in ./venv_jenkins/lib/python3.9/site-packages (from ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (3.0.31)
Requirement already satisfied: parso<0.9.0,>=0.8.0 in ./venv_jenkins/lib/python3.9/site-packages (from jedi>=0.16->ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (0.8.3)
Requirement already satisfied: jupyter-core>=4.9.2 in ./venv_jenkins/lib/python3.9/site-packages (from jupyter-client>=6.1.12->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (4.11.2)
Requirement already satisfied: entrypoints in ./venv_jenkins/lib/python3.9/site-packages (from jupyter-client>=6.1.12->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (0.4)
Requirement already satisfied: python-dateutil>=2.8.2 in ./venv_jenkins/lib/python3.9/site-packages (from jupyter-client>=6.1.12->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (2.8.2)
Requirement already satisfied: ptyprocess>=0.5 in ./venv_jenkins/lib/python3.9/site-packages (from pexpect>4.3->ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (0.7.0)
Requirement already satisfied: wcwidth in ./venv_jenkins/lib/python3.9/site-packages (from prompt-toolkit<3.1.0,>3.0.1->ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (0.2.5)
Requirement already satisfied: pyparsing!=3.0.5,>=2.0.2 in ./venv_jenkins/lib/python3.9/site-packages (from packaging->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (3.0.9)
Requirement already satisfied: executing in ./venv_jenkins/lib/python3.9/site-packages (from stack-data->ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (1.1.1)
Requirement already satisfied: asttokens in ./venv_jenkins/lib/python3.9/site-packages (from stack-data->ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (2.0.8)
Requirement already satisfied: pure-eval in ./venv_jenkins/lib/python3.9/site-packages (from stack-data->ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (0.2.2)
Requirement already satisfied: six>=1.5 in ./venv_jenkins/lib/python3.9/site-packages (from python-dateutil>=2.8.2->jupyter-client>=6.1.12->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (1.16.0)
Installing collected packages: ipysankeywidget
Successfully installed ipysankeywidget-0.4.2

real	0m0.864s
user	0m0.611s
sys	0m0.072s
+++ pip_install plotly
+++ python /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pip install --upgrade plotly
Collecting plotly
  Using cached plotly-5.10.0-py2.py3-none-any.whl (15.2 MB)
Collecting tenacity>=6.2.0
  Using cached tenacity-8.1.0-py3-none-any.whl (23 kB)
Installing collected packages: tenacity, plotly
Successfully installed plotly-5.10.0 tenacity-8.1.0

real	0m10.993s
user	0m6.244s
sys	0m4.609s
+++ pip_install pytest
+++ python /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pip install --upgrade pytest
Collecting pytest
  Using cached pytest-7.1.3-py3-none-any.whl (298 kB)
Requirement already satisfied: packaging in ./venv_jenkins/lib/python3.9/site-packages (from pytest) (21.3)
Collecting tomli>=1.0.0
  Using cached tomli-2.0.1-py3-none-any.whl (12 kB)
Collecting pluggy<2.0,>=0.12
  Using cached pluggy-1.0.0-py2.py3-none-any.whl (13 kB)
Collecting iniconfig
  Using cached iniconfig-1.1.1-py2.py3-none-any.whl (5.0 kB)
Collecting py>=1.8.2
  Using cached py-1.11.0-py2.py3-none-any.whl (98 kB)
Collecting attrs>=19.2.0
  Using cached attrs-22.1.0-py2.py3-none-any.whl (58 kB)
Requirement already satisfied: pyparsing!=3.0.5,>=2.0.2 in ./venv_jenkins/lib/python3.9/site-packages (from packaging->pytest) (3.0.9)
Installing collected packages: iniconfig, tomli, py, pluggy, attrs, pytest
Successfully installed attrs-22.1.0 iniconfig-1.1.1 pluggy-1.0.0 py-1.11.0 pytest-7.1.3 tomli-2.0.1

real	0m1.258s
user	0m0.985s
sys	0m0.149s
++++ which coverage
+++ export COVERAGE=/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/coverage
+++ COVERAGE=/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/coverage
++ pip_install pylint
++ python /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pip install --upgrade pylint
Collecting pylint
  Downloading pylint-2.15.5-py3-none-any.whl (508 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 508.2/508.2 kB 8.3 MB/s eta 0:00:00
Collecting astroid<=2.14.0-dev0,>=2.12.12
  Downloading astroid-2.12.12-py3-none-any.whl (264 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 264.7/264.7 kB 22.7 MB/s eta 0:00:00
Collecting isort<6,>=4.2.5
  Using cached isort-5.10.1-py3-none-any.whl (103 kB)
Collecting typing-extensions>=3.10.0
  Using cached typing_extensions-4.4.0-py3-none-any.whl (26 kB)
Requirement already satisfied: tomli>=1.1.0 in ./venv_jenkins/lib/python3.9/site-packages (from pylint) (2.0.1)
Collecting dill>=0.2
  Using cached dill-0.3.6-py3-none-any.whl (110 kB)
Collecting tomlkit>=0.10.1
  Downloading tomlkit-0.11.5-py3-none-any.whl (35 kB)
Collecting mccabe<0.8,>=0.6
  Using cached mccabe-0.7.0-py2.py3-none-any.whl (7.3 kB)
Collecting platformdirs>=2.2.0
  Using cached platformdirs-2.5.2-py3-none-any.whl (14 kB)
Collecting lazy-object-proxy>=1.4.0
  Using cached lazy_object_proxy-1.7.1-cp39-cp39-macosx_10_9_x86_64.whl (22 kB)
Collecting wrapt<2,>=1.11
  Using cached wrapt-1.14.1-cp39-cp39-macosx_10_9_x86_64.whl (35 kB)
Installing collected packages: wrapt, typing-extensions, tomlkit, platformdirs, mccabe, lazy-object-proxy, isort, dill, astroid, pylint
Successfully installed astroid-2.12.12 dill-0.3.6 isort-5.10.1 lazy-object-proxy-1.7.1 mccabe-0.7.0 platformdirs-2.5.2 pylint-2.15.5 tomlkit-0.11.5 typing-extensions-4.4.0 wrapt-1.14.1

real	0m2.611s
user	0m1.786s
sys	0m0.271s
++ pip_install numpy
++ python /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pip install --upgrade numpy
Requirement already satisfied: numpy in ./venv_jenkins/lib/python3.9/site-packages (1.23.4)

real	0m1.161s
user	0m1.069s
sys	0m0.060s
++ pip_install scipy
++ python /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pip install --upgrade scipy
Collecting scipy
  Using cached scipy-1.9.3-cp39-cp39-macosx_10_9_x86_64.whl (34.3 MB)
Requirement already satisfied: numpy<1.26.0,>=1.18.5 in ./venv_jenkins/lib/python3.9/site-packages (from scipy) (1.23.4)
Installing collected packages: scipy
Successfully installed scipy-1.9.3

real	0m3.861s
user	0m3.119s
sys	0m0.653s
++ pip_install pint
++ python /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pip install --upgrade pint
Collecting pint
  Using cached Pint-0.19.2-py3-none-any.whl
Installing collected packages: pint
Successfully installed pint-0.19.2

real	0m0.918s
user	0m0.740s
sys	0m0.092s
++ git clone --depth 1 https://github.com/convexengineering/gpkit.git /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/gpkit
Cloning into '/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/gpkit'...
++ python /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pip install -v --no-cache-dir -e /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/gpkit
Using pip 22.3 from /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/lib/python3.9/site-packages/pip (python 3.9)
Obtaining file:///Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/gpkit
  Preparing metadata (setup.py): started
  Running command python setup.py egg_info
  running egg_info
  creating /private/var/folders/xs/_fh4l1p54zqcl6mbk4zclcfr0000gp/T/pip-pip-egg-info-v_qo2yjj/gpkit.egg-info
  writing /private/var/folders/xs/_fh4l1p54zqcl6mbk4zclcfr0000gp/T/pip-pip-egg-info-v_qo2yjj/gpkit.egg-info/PKG-INFO
  writing dependency_links to /private/var/folders/xs/_fh4l1p54zqcl6mbk4zclcfr0000gp/T/pip-pip-egg-info-v_qo2yjj/gpkit.egg-info/dependency_links.txt
  writing requirements to /private/var/folders/xs/_fh4l1p54zqcl6mbk4zclcfr0000gp/T/pip-pip-egg-info-v_qo2yjj/gpkit.egg-info/requires.txt
  writing top-level names to /private/var/folders/xs/_fh4l1p54zqcl6mbk4zclcfr0000gp/T/pip-pip-egg-info-v_qo2yjj/gpkit.egg-info/top_level.txt
  writing manifest file '/private/var/folders/xs/_fh4l1p54zqcl6mbk4zclcfr0000gp/T/pip-pip-egg-info-v_qo2yjj/gpkit.egg-info/SOURCES.txt'
  reading manifest file '/private/var/folders/xs/_fh4l1p54zqcl6mbk4zclcfr0000gp/T/pip-pip-egg-info-v_qo2yjj/gpkit.egg-info/SOURCES.txt'
  writing manifest file '/private/var/folders/xs/_fh4l1p54zqcl6mbk4zclcfr0000gp/T/pip-pip-egg-info-v_qo2yjj/gpkit.egg-info/SOURCES.txt'
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: numpy>=1.16.4 in ./venv_jenkins/lib/python3.9/site-packages (from gpkit==1.1.1) (1.23.4)
Requirement already satisfied: pint>=0.8.1 in ./venv_jenkins/lib/python3.9/site-packages (from gpkit==1.1.1) (0.19.2)
Requirement already satisfied: plotly in ./venv_jenkins/lib/python3.9/site-packages (from gpkit==1.1.1) (5.10.0)
Requirement already satisfied: scipy in ./venv_jenkins/lib/python3.9/site-packages (from gpkit==1.1.1) (1.9.3)
Requirement already satisfied: adce in ./venv_jenkins/lib/python3.9/site-packages (from gpkit==1.1.1) (1.3.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in ./venv_jenkins/lib/python3.9/site-packages (from gpkit==1.1.1) (1.3.0)
Requirement already satisfied: matplotlib in ./venv_jenkins/lib/python3.9/site-packages (from gpkit==1.1.1) (3.6.1)
Requirement already satisfied: pyparsing>=2.2.1 in ./venv_jenkins/lib/python3.9/site-packages (from matplotlib->gpkit==1.1.1) (3.0.9)
Requirement already satisfied: contourpy>=1.0.1 in ./venv_jenkins/lib/python3.9/site-packages (from matplotlib->gpkit==1.1.1) (1.0.5)
Requirement already satisfied: packaging>=20.0 in ./venv_jenkins/lib/python3.9/site-packages (from matplotlib->gpkit==1.1.1) (21.3)
Requirement already satisfied: cycler>=0.10 in ./venv_jenkins/lib/python3.9/site-packages (from matplotlib->gpkit==1.1.1) (0.11.0)
Requirement already satisfied: kiwisolver>=1.0.1 in ./venv_jenkins/lib/python3.9/site-packages (from matplotlib->gpkit==1.1.1) (1.4.4)
Requirement already satisfied: pillow>=6.2.0 in ./venv_jenkins/lib/python3.9/site-packages (from matplotlib->gpkit==1.1.1) (9.2.0)
Requirement already satisfied: python-dateutil>=2.7 in ./venv_jenkins/lib/python3.9/site-packages (from matplotlib->gpkit==1.1.1) (2.8.2)
Requirement already satisfied: fonttools>=4.22.0 in ./venv_jenkins/lib/python3.9/site-packages (from matplotlib->gpkit==1.1.1) (4.38.0)
Requirement already satisfied: tenacity>=6.2.0 in ./venv_jenkins/lib/python3.9/site-packages (from plotly->gpkit==1.1.1) (8.1.0)
Requirement already satisfied: six>=1.5 in ./venv_jenkins/lib/python3.9/site-packages (from python-dateutil>=2.7->matplotlib->gpkit==1.1.1) (1.16.0)
Installing collected packages: gpkit
  Running setup.py develop for gpkit
    Running command python setup.py develop
    running develop
    running egg_info
    creating gpkit.egg-info
    writing gpkit.egg-info/PKG-INFO
    writing dependency_links to gpkit.egg-info/dependency_links.txt
    writing requirements to gpkit.egg-info/requires.txt
    writing top-level names to gpkit.egg-info/top_level.txt
    writing manifest file 'gpkit.egg-info/SOURCES.txt'
    reading manifest file 'gpkit.egg-info/SOURCES.txt'
    writing manifest file 'gpkit.egg-info/SOURCES.txt'
    running build_ext
    Creating /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/lib/python3.9/site-packages/gpkit.egg-link (link to .)
    Adding gpkit 1.1.1 to easy-install.pth file

    Installed /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/gpkit
Successfully installed gpkit-1.1.1
++ python /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pip install -e /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/
Obtaining file:///Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: numpy in ./venv_jenkins/lib/python3.9/site-packages (from gpfit==0.2.0) (1.23.4)
Requirement already satisfied: scipy in ./venv_jenkins/lib/python3.9/site-packages (from gpfit==0.2.0) (1.9.3)
Requirement already satisfied: gpkit in ./gpkit (from gpfit==0.2.0) (1.1.1)
Requirement already satisfied: matplotlib>=3.3.2 in ./venv_jenkins/lib/python3.9/site-packages (from gpfit==0.2.0) (3.6.1)
Requirement already satisfied: pytest>=6.2.5 in ./venv_jenkins/lib/python3.9/site-packages (from gpfit==0.2.0) (7.1.3)
Collecting pytest-mpl>=0.13
  Using cached pytest_mpl-0.16.1-py3-none-any.whl (28 kB)
Requirement already satisfied: fonttools>=4.22.0 in ./venv_jenkins/lib/python3.9/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (4.38.0)
Requirement already satisfied: packaging>=20.0 in ./venv_jenkins/lib/python3.9/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (21.3)
Requirement already satisfied: cycler>=0.10 in ./venv_jenkins/lib/python3.9/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (0.11.0)
Requirement already satisfied: kiwisolver>=1.0.1 in ./venv_jenkins/lib/python3.9/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (1.4.4)
Requirement already satisfied: pillow>=6.2.0 in ./venv_jenkins/lib/python3.9/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (9.2.0)
Requirement already satisfied: python-dateutil>=2.7 in ./venv_jenkins/lib/python3.9/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (2.8.2)
Requirement already satisfied: pyparsing>=2.2.1 in ./venv_jenkins/lib/python3.9/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (3.0.9)
Requirement already satisfied: contourpy>=1.0.1 in ./venv_jenkins/lib/python3.9/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (1.0.5)
Requirement already satisfied: tomli>=1.0.0 in ./venv_jenkins/lib/python3.9/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (2.0.1)
Requirement already satisfied: py>=1.8.2 in ./venv_jenkins/lib/python3.9/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (1.11.0)
Requirement already satisfied: attrs>=19.2.0 in ./venv_jenkins/lib/python3.9/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (22.1.0)
Requirement already satisfied: iniconfig in ./venv_jenkins/lib/python3.9/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (1.1.1)
Requirement already satisfied: pluggy<2.0,>=0.12 in ./venv_jenkins/lib/python3.9/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (1.0.0)
Collecting Jinja2
  Using cached Jinja2-3.1.2-py3-none-any.whl (133 kB)
Requirement already satisfied: pint>=0.8.1 in ./venv_jenkins/lib/python3.9/site-packages (from gpkit->gpfit==0.2.0) (0.19.2)
Requirement already satisfied: plotly in ./venv_jenkins/lib/python3.9/site-packages (from gpkit->gpfit==0.2.0) (5.10.0)
Requirement already satisfied: adce in ./venv_jenkins/lib/python3.9/site-packages (from gpkit->gpfit==0.2.0) (1.3.3.2)
Requirement already satisfied: cvxopt>=1.1.8 in ./venv_jenkins/lib/python3.9/site-packages (from gpkit->gpfit==0.2.0) (1.3.0)
Requirement already satisfied: six>=1.5 in ./venv_jenkins/lib/python3.9/site-packages (from python-dateutil>=2.7->matplotlib>=3.3.2->gpfit==0.2.0) (1.16.0)
Collecting MarkupSafe>=2.0
  Using cached MarkupSafe-2.1.1-cp39-cp39-macosx_10_9_x86_64.whl (13 kB)
Requirement already satisfied: tenacity>=6.2.0 in ./venv_jenkins/lib/python3.9/site-packages (from plotly->gpkit->gpfit==0.2.0) (8.1.0)
Installing collected packages: MarkupSafe, Jinja2, pytest-mpl, gpfit
  Running setup.py develop for gpfit
Successfully installed Jinja2-3.1.2 MarkupSafe-2.1.1 gpfit-0.2.0 pytest-mpl-0.16.1
++ source /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/JenkinsGPkit/print_versions.sh
+++ python -c 'import scipy; print(scipy.__version__)'
1.9.3
+++ python -c 'import numpy; print(numpy.__version__)'
1.23.4
+++ python -c 'import pint; print(pint.__version__)'
0.19.2
+++ python -c 'import gpkit; print(gpkit.settings)'
/bin/sh: mskexpopt: command not found
No filename given.
Usage:
     mskexpopt FILENAME [-primal] [-dual] [-p parameterfile]
Return code: 1052
Description: MSK_RES_ERR_FILE_OPEN [An error occurred while opening a file.]
/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/gpkit/gpkit/small_scripts.py:71: SyntaxWarning: "is" with a literal. Did you mean "=="?
  if sweep is "sweep" and (isinstance(value, Iterable) or  # pylint: disable=literal-comparison
/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/gpkit/gpkit/nomials/math.py:586: SyntaxWarning: "is" with a literal. Did you mean "=="?
  if posy is 0:  # pylint: disable=literal-comparison
/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/gpkit/gpkit/nomials/math.py:590: SyntaxWarning: "is" with a literal. Did you mean "=="?
  if negy is 0:  # pylint: disable=literal-comparison
/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/gpkit/gpkit/breakdowns.py:390: SyntaxWarning: "is" with a literal. Did you mean "=="?
  subhmap.units = None if units is 1 else units
..........................................................................................................................................................................E......................................
======================================================================
ERROR: test_breakdowns_cvxopt (gpkit.tests.t_examples.TestExamples)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/gpkit/gpkit/tests/helpers.py", line 55, in test
    testfn(name, import_dict, path)(self)
  File "/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/gpkit/gpkit/tests/helpers.py", line 90, in test
    imported[name] = importlib.import_module(name)
  File "/usr/local/Cellar/python@3.9/3.9.14/Frameworks/Python.framework/Versions/3.9/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 850, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/gpkit/docs/source/examples/breakdowns.py", line 11, in <module>
    sol = pickle.load(open(dirpath+"solar_13.p", "rb"))
  File "/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/lib/python3.9/site-packages/pint/util.py", line 429, in __setstate__
    self._d, self._one, self._non_int_type = state
ValueError: too many values to unpack (expected 3)

----------------------------------------------------------------------
Ran 209 tests in 10.823s

FAILED (errors=1)
Found no installed solvers, beginning a build.
# Building GPkit version 1.1
# Moving to the directory from which GPkit was imported.

Attempting to find and build solvers:

# Looking for `mosek_cli`
#   (A "success" is if mskexpopt complains that
#    we haven't specified a file for it to open.)
#     Calling 'mskexpopt'
##
### CALL BEGINS
### CALL ENDS
##
# Looks like `mskexpopt` was not found in the default PATH,
#  so let's try locating that binary ourselves.
#   Adding /Users/jenkins/mosek/8/tools/platform/osx64x86/bin to the PATH
#     Calling 'mskexpopt'
##
### CALL BEGINS
### CALL ENDS
##

Found mosek_cli in /Users/jenkins/mosek/8/tools/platform/osx64x86/bin

# Looking for `mosek_conif`
#   Trying to import mosek...
# Did not find
# mosek_conif

# Looking for `cvxopt`
#   Trying to import cvxopt...

Found cvxopt in the default PYTHONPATH
Replaced found solvers (['mosek_cli', 'cvxopt']) with environment var GPKITSOLVERS (cvxopt)

Found the following solvers: cvxopt
#     Replacing directory env

GPkit is now installed with solver(s) ['cvxopt']
To incorporate new solvers at a later date, run `gpkit.build()`.

If any tests didn't pass, please post the output above
(starting from "Found no installed solvers, beginning a build.")
to gpkit@mit.edu or https://github.com/convexengineering/gpkit/issues/new
so we can prevent others from having these errors.

The same goes for any other bugs you encounter with GPkit:
send 'em our way, along with any interesting models, speculative features,
comments, discussions, or clarifications you feel like sharing.

Finally, we hope you find our documentation (https://gpkit.readthedocs.io/)
and engineering-design models (https://github.com/convexengineering/gplibrary/)
to be useful resources for your own applications.

Enjoy!

{'installed_solvers': ['cvxopt'], 'mosek_bin_dir': '/Users/jenkins/mosek/8/tools/platform/osx64x86/bin', 'default_solver': 'cvxopt', 'just built!': True}
+++ which pylint
++ echo /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pylint
/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/venv_jenkins/bin/pylint
++ /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/pylint.sh --reports=no
++ tee pylint.log
************* Module /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/.pylintrc
.pylintrc:1: [E0015(unrecognized-option), ] Unrecognized option found: optimize-ast, files-output, bad-functions, no-space-check
************* Module gpfit.classes
gpfit/classes.py:101: [C2801(unnecessary-dunder-call), _Fit.plot] Unnecessarily calls dunder method __repr__. Use repr built-in function.
gpfit/classes.py:167: [C2801(unnecessary-dunder-call), _Fit.savetxt] Unnecessarily calls dunder method __repr__. Use repr built-in function.
gpfit/classes.py:178: [C2801(unnecessary-dunder-call), _Fit.print_result] Unnecessarily calls dunder method __repr__. Use repr built-in function.
************* Module gpfit.tests.test_fit
gpfit/tests/test_fit.py:24: [C2801(unnecessary-dunder-call), TestFit.test_max_affine] Unnecessarily calls dunder method __repr__. Use repr built-in function.
gpfit/tests/test_fit.py:33: [C2801(unnecessary-dunder-call), TestFit.test_softmax_affine] Unnecessarily calls dunder method __repr__. Use repr built-in function.
gpfit/tests/test_fit.py:42: [C2801(unnecessary-dunder-call), TestFit.test_implicit_softmax_affine] Unnecessarily calls dunder method __repr__. Use repr built-in function.
gpfit/tests/test_fit.py:51: [C2801(unnecessary-dunder-call), TestFit.test_fit_ma] Unnecessarily calls dunder method __repr__. Use repr built-in function.
gpfit/tests/test_fit.py:60: [C2801(unnecessary-dunder-call), TestFit.test_fit_sma] Unnecessarily calls dunder method __repr__. Use repr built-in function.
gpfit/tests/test_fit.py:69: [C2801(unnecessary-dunder-call), TestFit.test_fit_isma] Unnecessarily calls dunder method __repr__. Use repr built-in function.
gpfit/tests/test_fit.py:82: [C2801(unnecessary-dunder-call), TestFit.test_save_and_load] Unnecessarily calls dunder method __repr__. Use repr built-in function.
gpfit/tests/test_fit.py:86: [C2801(unnecessary-dunder-call), TestFit.test_save_and_load] Unnecessarily calls dunder method __repr__. Use repr built-in function.
************* Module gpfit.tests.test_print_fit
gpfit/tests/test_print_fit.py:25: [C2801(unnecessary-dunder-call), TestPrintFit.test_ma] Unnecessarily calls dunder method __repr__. Use repr built-in function.
gpfit/tests/test_print_fit.py:41: [C2801(unnecessary-dunder-call), TestPrintFit.test_sma] Unnecessarily calls dunder method __repr__. Use repr built-in function.
gpfit/tests/test_print_fit.py:60: [C2801(unnecessary-dunder-call), TestPrintFit.test_isma] Unnecessarily calls dunder method __repr__. Use repr built-in function.
************* Module gpfit.maths.least_squares
gpfit/maths/least_squares.py:95: [W1404(implicit-str-concat), ] Implicit string concatenation found in call

------------------------------------------------------------------
Your code has been rated at 9.84/10 (previous run: 9.84/10, +0.00)

************* Module /Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys/.pylintrc
.pylintrc:1: [E0015(unrecognized-option), ] Unrecognized option found: optimize-ast, files-output, bad-functions, no-space-check

--------------------------------------------------------------------
Your code has been rated at 10.00/10 (previous run: 10.00/10, +0.00)

[Pylint] Parsing console log (workspace: '/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys')
[Pylint] -> found 16 issues (skipped 1 duplicate)
[Pylint] Parsing console log (workspace: '/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys')
The recommended git tool is: NONE
using credential 3614a4cf-01de-4393-97de-73734b7dd5a2
The recommended git tool is: NONE
using credential 3614a4cf-01de-4393-97de-73734b7dd5a2
[Pylint] -> found 16 issues (skipped 1 duplicate)
[Pylint] Successfully parsed console log
[Pylint] -> found 16 issues (skipped 1 duplicate)
[Pylint] Parsing console log (workspace: '/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys')
[Pylint] Post processing issues on 'macys' with source code encoding 'UTF-8'
[Pylint] Creating SCM blamer to obtain author and commit information for affected files
[Pylint] -> Git blamer successfully created in working tree '/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys'
[Pylint] Resolving file names for all issues in workspace '/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys'
[Pylint] -> resolved paths in source directory (5 found, 0 not found)
[Pylint] Resolving module names from module definitions (build.xml, pom.xml, or Manifest.mf files)
[Pylint] -> resolved module names for 16 issues
[Pylint] Resolving package names (or namespaces) by parsing the affected files
[Pylint] -> resolved package names of 5 affected files
[Pylint] No filter has been set, publishing all 16 issues
[Pylint] Creating fingerprints for all affected code blocks to track issues over different builds
[Pylint] -> created fingerprints for 16 issues (skipped 0 issues)
[Pylint] Invoking Git blamer to create author and commit information for 5 affected files
[Pylint] -> GIT_COMMIT env = '3c8025f12ba5360fdeb71c270e55d4c93e1676fd'
[Pylint] -> Git commit ID = '3c8025f12ba5360fdeb71c270e55d4c93e1676fd'
[Pylint] -> Git working tree = '/Users/jenkins/workspace/CE_gpfit_Push_pylint/buildnode/macys'
[Pylint] -> blamed authors of issues in 5 files
[Pylint] Blaming of authors took 1 seconds
[Pylint] Copying affected files to Jenkins' build folder '/var/lib/jenkins/jobs/CE_gpfit_Push_pylint/configurations/axis-buildnode/macys/builds/28/files-with-issues'
[Pylint] -> 5 copied, 0 not in workspace, 0 not-found, 0 with I/O error
[Pylint] Repository miner is not configured, skipping repository mining
[Pylint] Reference build recorder is not configured
[Pylint] Obtaining reference build from same job (macys)
[Pylint] Using reference build 'CE_gpfit_Push_pylint/buildnode=macys #27' to compute new, fixed, and outstanding issues
[Pylint] Issues delta (vs. reference build): outstanding: 0, new: 16, fixed: 0
[Pylint] Evaluating quality gates
[Pylint] -> FAILED - Total (any severity): 16 - Quality Gate: 1
[Pylint] -> Some quality gates have been missed: overall result is FAILED
[Pylint] Health report is disabled - skipping
[Pylint] Created analysis result for 16 issues (found 16 new issues, fixed 0 issues)
[Pylint] Attaching ResultAction with ID 'pylint' to build 'CE_gpfit_Push_pylint/buildnode=macys #28'.
[Checks API] No suitable checks publisher found.
Build step 'Record compiler warnings and static analysis results' changed build result to FAILURE
Finished: FAILURE